Work Package # 45020 (Closed): Content Editing Stability and Features

Status: Closed Priority: Should have
Author: Adrian Föder Category:
Created: 2013-03-14 Assigned To:
Updated: 2014-11-02 Due date:
Subject: Deleting an Image content element having no image results into exception
Description

When attempting to delete an Image Content Element that has not (yet) an image assigned, but only its placeholder representation,
the following error message occurs after confirming the delete? dialog:

ExtDirect error: Uncaught exception #1297759968 (ref 201303141055336bf762) - Exception while property mapping for target
type "TYPO3\TYPO3CR\Domain\Model\PersistentNodeInterface", at property path "": Exception while property mapping for
target type "TYPO3\Media\Domain\Model\ImageVariant", at property path "": No converter found which can be used to convert
from "string" to "TYPO3\Media\Domain\Model\ImageVariant".

Aske on IRC:

it's because it tries to map the image property to a image variant, but there is none until you upload an image

This issue also happens when trying to save something on an element with an image property before uploading an image

History
#1 - 2013-03-26 18:29 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19305

#2 - 2013-03-26 18:32 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19305

#3 - 2013-03-26 21:00 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19305

#4 - 2013-04-02 10:55 - Aske Ertmann
- Status changed from New to Under Review
- % Done changed from 0 to 90

#5 - 2013-04-04 14:40 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19305

#6 - 2013-04-07 12:24 - Aske Ertmann
- Status changed from Under Review to Resolved
- % Done changed from 90 to 100

#7 - 2014-11-02 18:22 - Aske Ertmann
- Status changed from Resolved to Closed
